## ros-galactic-self-test 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(self_test)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(rclcpp REQUIRED)

add_executable(run_selftest src/run_selftest.cpp)
target_include_directories(run_selftest
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(
  run_selftest
  "builtin_interfaces"
  "diagnostic_msgs"
  "diagnostic_updater"
  "rclcpp"
  "rcutils"
)

add_executable(selftest_example src/selftest_example.cpp)
target_include_directories(selftest_example
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(
  selftest_example
  "builtin_interfaces"
  "diagnostic_msgs"
  "diagnostic_updater"
  "rclcpp"
  "rcutils"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test)
endif()

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS run_selftest selftest_example
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)

macro(add_self_test target_name file_path)
  ament_add_gtest(${target_name} ${file_path})
  if(TARGET ${target_name})
    ament_target_dependencies(
      ${target_name}
      "diagnostic_msgs"
      "diagnostic_updater"
      "rclcpp"
    )
    target_include_directories(${target_name}
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
      $<INSTALL_INTERFACE:include>
    )
  endif()
endmacro()

add_self_test(test_nominal_selftest nominal_selftest.cpp)
add_self_test(test_no_id_selftest no_id_selftest.cpp)
add_self_test(test_exception_selftest exception_selftest.cpp)
add_self_test(test_error_selftest error_selftest.cpp)

=== debian/changelog ===
ros-galactic-self-test (2.1.3-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 03 Aug 2021 07:00:00 -0000

ros-galactic-self-test (2.1.2-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 03 Mar 2021 08:00:00 -0000

ros-galactic-self-test (2.1.1-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 28 Jan 2021 08:00:00 -0000

ros-galactic-self-test (2.1.0-1focal) focal; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Contributors: Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 12 Jan 2021 08:00:00 -0000

ros-galactic-self-test (2.0.2-1focal) focal; urgency=high

  * 2.0.2
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * fix linters (#134 <https://github.com/ros/diagnostics/issues/134>)
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Contributors: Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-self-test (2.0.1-1focal) focal; urgency=high

  * fix linters (#134 <https://github.com/ros/diagnostics/issues/134>)
  * Contributors: Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-self-test (2.0.0-1focal) focal; urgency=high

  * Migrate self_test to ros2 (#104 <https://github.com/ros/diagnostics/issues/104>)
  * Make Karsten Knese maintainer for ros2 branches #115 <https://github.com/ros/diagnostics/issues/115>
  * Contributors: Austin, Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 03 Sep 2019 07:00:00 -0000

ros-galactic-self-test (1.9.3-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 May 2018 07:00:00 -0000

ros-galactic-self-test (1.9.2-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 15 Jul 2017 07:00:00 -0000

ros-galactic-self-test (1.9.1-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 15 Jul 2017 07:00:00 -0000

ros-galactic-self-test (1.9.0-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 25 Apr 2017 07:00:00 -0000

ros-galactic-self-test (1.8.10-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 14 Jun 2016 07:00:00 -0000

ros-galactic-self-test (1.8.9-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 Mar 2016 08:00:00 -0000

ros-galactic-self-test (1.8.8-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 06 Aug 2015 07:00:00 -0000

ros-galactic-self-test (1.8.7-1focal) focal; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 09 Jan 2015 08:00:00 -0000

ros-galactic-self-test (1.8.6-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 10 Dec 2014 08:00:00 -0000

ros-galactic-self-test (1.8.5-1focal) focal; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 29 Jul 2014 07:00:00 -0000

ros-galactic-self-test (1.8.4-1focal) focal; urgency=high

  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Scott K Logan

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 25 Jul 2014 03:51:00 -0000

ros-galactic-self-test (1.8.3-1focal) focal; urgency=high

  * Install selftest_rostest
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 23 Apr 2014 07:00:00 -0000

ros-galactic-self-test (1.8.2-1focal) focal; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix private nodehandle bug
  * Protect tests behind CATKIN_ENABLE_TESTING.
    Fixes #13 <https://github.com/ros/diagnostics/issues/13>
  * Install self test executables. Fixes #16 <https://github.com/ros/diagnostics/issues/16>
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 08 Apr 2014 07:00:00 -0000

ros-galactic-self-test (1.8.1-1focal) focal; urgency=high

  * Add myself as maintainer
  * Added ability to specify the private node handle in TestRunner
    Also now specify the selftest callback queue on only the service so that it does not apply to the entire node
  * fixed test related issues in some CMakeLists
  * Contributors: Austin Hendrix, Brice Rebsamen, Mitchell Wills

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 07 Apr 2014 07:00:00 -0000

ros-galactic-self-test (1.8.0-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 03 Apr 2013 07:00:00 -0000

ros-galactic-self-test (1.7.11-1focal) focal; urgency=high

  * Fix install rules
  * Fix linking on tests
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 25 Jul 2014 03:24:00 -0000

ros-galactic-self-test (1.7.10-1focal) focal; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 22 Feb 2013 08:00:00 -0000

ros-galactic-self-test (1.7.9-1focal) focal; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Dec 2012 08:00:00 -0000

ros-galactic-self-test (1.7.8-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 06 Dec 2012 08:00:00 -0000

ros-galactic-self-test (1.7.7-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 10 Nov 2012 08:00:00 -0000



=== debian/control ===
Source: ros-galactic-self-test
Section: misc
Priority: optional
Maintainer: Brice Rebsamen <brice.rebsamen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-diagnostic-msgs, ros-galactic-diagnostic-updater, ros-galactic-rclcpp, ros-galactic-ros-workspace
Homepage: http://www.ros.org/wiki/self_test
Standards-Version: 3.9.2

Package: ros-galactic-self-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-diagnostic-msgs, ros-galactic-diagnostic-updater, ros-galactic-rclcpp, ros-galactic-ros-workspace
Description: self_test

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-self-test//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
